[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.ReadOnly

True if the values in the column cannot be changed at run-time using the cell editor.

## Declaration

Source position: grids.pas line 621

`published property TGridColumn.ReadOnly : Boolean read GetReadOnly write SetReadOnly stored IsReadOnlyStored;`

## See also

TGridColumn.ColumnChanged |  | Performs actions needed when a column in the grid is changed.
TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.EditingAllowed |  | Indicates if the grid and specified column allow editing.
TGridColumns.Enabled |  | Indicates if the column collection is enabled.